# Create a Payment

Endpoint to create a Payment in Monato Billpay.

Endpoint: POST /v1/payments
Version: 1.0.0
Security: BearerAuth

## Query parameters:

  - `payee_id` (string, required)
    Finch Payee ID
    Example: "1234567"

  - `payer_account` (string, required)
    The Payee Reference to be paid
    Example: "U0000-19"

  - `amount` (string, required)
    The amount to be paid
    Example: "1000"

  - `currency` (string, required)
    Currency in which the amount is going to be paid
    Example: "MXN"

  - `idempotency_key` (string)
    Unique value generated by the client which we uses to recognize from subsequent requests
    Example: "client_side_idempotency_key"

## Response 201 fields (application/json):

  - `payment_id` (string)
    Example: "0fcbe1fb-b61b-44c3-a258-6a9d6e801804"

  - `payer_account` (string)
    Example: "U0000-19"

  - `amount` (number)
    Example: 1000

  - `currency` (string)
    Example: "MXN"

  - `payee_id` (string)
    Example: "0d93acf6-b63d-46e8-aa5f-6f2520462608"

  - `status` (string)
    Example: "completed"

  - `metadata` (object)
    Example: {}

  - `created_at` (string)
    Example: "2024-04-10T19:48:43.222Z"

  - `auth_number` (string)
    Example: "8459344721"

## Response 422 fields (application/json):

  - `error_type` (string)
    Example: "INTERNAL_ERROR"

  - `error_message` (string)
    Example: "There was an error while processing your request"


